{
  config,
  lib,
  ...
}:

{
  imports = [ ];

  options.me = {
    image_based_appliance.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install image_based_appliance.";
    };
  };

  config = lib.mkIf config.me.image_based_appliance.enable (
    lib.mkMerge [
      {
        # Do not install nix. A full new image must be built to update
        # the machine.
        nix.enable = false;
        system.switch.enable = false;
      }
    ]
  );
}
